Go Down

Topic: compiling error (Read 57 times) previous topic - next topic

Danny1000

hi guys, i have a problem compiling with text error status 1


how do i delete this folder to reinstall and get rid of fault?

thanks

this is the error list (for adafruit tft lcd)

Arduino: 1.8.10 (Windows 7), TD: 1.48, Board: "Arduino Uno"



C:\Users\Ecker\Documents\Arduino\libraries\Adafruit_TFTLCD_Library\Adafruit_TFTLCD.cpp:115:3: error: 'textsize' was not declared in this scope

  textsize = 1;

  ^~~~~~~~

C:\Users\Ecker\Documents\Arduino\libraries\Adafruit_TFTLCD_Library\Adafruit_TFTLCD.cpp:115:3: note: suggested alternative: 'textsize_x'

  textsize = 1;

  ^~~~~~~~

  textsize_x

Multiple libraries were found for "Adafruit_GFX.h"
Used: C:\Users\Ecker\Documents\Arduino\libraries\Adafruit_GFX_Library
Multiple libraries were found for "Adafruit_TFTLCD.h"
Used: C:\Users\Ecker\Documents\Arduino\libraries\Adafruit_TFTLCD_Library
Multiple libraries were found for "SD.h"
Used: C:\Users\Ecker\Documents\Arduino\libraries\SD
Not used: C:\Arduino\libraries\SD
Multiple libraries were found for "SPI.h"
Used: C:\Users\Ecker\AppData\Local\Arduino15\packages\arduino\hardware\avr\1.8.2\libraries\SPI
Using library Adafruit_GFX_Library at version 1.7.5 in folder: C:\Users\Ecker\Documents\Arduino\libraries\Adafruit_GFX_Library
Using library Adafruit_TFTLCD_Library at version 1.0.1 in folder: C:\Users\Ecker\Documents\Arduino\libraries\Adafruit_TFTLCD_Library
Using library SD at version 1.2.4 in folder: C:\Users\Ecker\Documents\Arduino\libraries\SD
Using library SPI at version 1.0 in folder: C:\Users\Ecker\AppData\Local\Arduino15\packages\arduino\hardware\avr\1.8.2\libraries\SPI
exit status 1
Error compiling for board Arduino Uno.

Idahowalker

Instead of textsize = 1; have you tried txtSize = 1;?

pert

The 1.5.4 release of the Adafruit_GFX broke compatibility with the Adafruit_TFTLCD library. You'll need to roll back to Adafruit_GFX 1.5.3:
  • Sketch > Include Library > Manage Libraries
  • Wait for the download to finish
  • In the "Filter your search..." box, type "adafruit_gfx".
  • Press Enter.
  • From the search results, click on "Adafruit GFX Library by Adafruit".
  • From the dropdown version menu, select 1.5.3.
  • Click the "Install" button.
  • Wait for the installation to finish.
  • Click the "Close" button.


After that, the sketch should compile.

If you have updatable library notifications enabled in the Arduino IDE, it will occasionally prompt you to update your Adafruit_GFX library to the new version. You will need to refrain from doing so, otherwise you'll be back to the same compilation error again when you use the Adafruit_TFTLCD library.

Go Up